Skip to main content
POST
Request primary to be recycled

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

ID of the project

Pattern: ^pj[0-9a-hj-km-np-tv-z]{24}$
Example:

"pjkkmx0f2vke4h36nk9cm8v8q0"

location
string
required

The Ubicloud location/region

Example:

"eu-central-h1"

postgres_database_reference
string
required

Postgres database ID or name Resource ID or name

Pattern: ^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$

Response

A Postgres Database

flavor
string
required

Kind of Postgres database

ha_type
string
required

High availability type

target_server_count
integer
required

Target number of servers (primary + standbys)

id
string
required

ID of the Postgres database

Pattern: ^pg[0-9a-hj-km-np-tv-z]{24}$
Example:

"pgn30gjk1d1e2jj34v9x0dq4rp"

location
string
required

Location of the Postgres database

name
string
required

Name of the Postgres database

state
string
required

State of the Postgres database

storage_size_gib
integer
required

Storage size in GiB

version
enum<string>
required

Current Postgres version

Available options:
16,
17,
18
target_version
enum<string>
required

Target Postgres version

Available options:
16,
17,
18
vm_size
string
required

Size of the underlying VM

maintenance_window_start_at
integer | null
required

Maintenance window start time

read_replica
boolean
required

If the database is a read replica or not

fallback_active
boolean
required

Whether the primary server is running on a fallback instance type

tags
object[]
required

Tags of the Postgres database

created_at
string<date-time>
required

Creation timestamp of the Postgres database

connection_string
string | null
required

Connection string to the Postgres database

username
string | null
required

Username for the Postgres database

password
string | null
required

Password for the Postgres database

hostname
string | null
required

Hostname for the Postgres database

earliest_restore_time
string | null
required

Earliest restore time (if primary)

firewall_rules
object[]
required

List of Postgres firewall rules

latest_restore_time
string
required

Latest restore time (if primary)"

primary
boolean
required

Is the database primary

target_storage_size_gib
integer

Desired storage size in GiB

target_vm_size
string

Desired VM size

ca_certificates
string | null

CA certificates of the root CA used to issue postgres server certificates

parent
string | null

Parent Postgres database